org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans

## Class Wifi

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans.BasicOperation
  - - org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans.Wifi

-     public class Wifi
      extends BasicOperation

  Bean for WIFI configurations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Wifi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthentication()`
    `String` | `getConnectionMode()`
    `String` | `getConnectionType()`
    `String` | `getEncryption()`
    `String` | `getKeyMaterial()`
    `String` | `getKeyType()`
    `String` | `getNetworkName()`
    `String` | `getProtection()`
    `String` | `getSsid()`
    `void` | `setAuthentication(String authentication)`
    `void` | `setConnectionMode(String connectionMode)`
    `void` | `setConnectionType(String connectionType)`
    `void` | `setEncryption(String encryption)`
    `void` | `setKeyMaterial(String keyMaterial)`
    `void` | `setKeyType(String keyType)`
    `void` | `setNetworkName(String networkName)`
    `void` | `setProtection(String protection)`
    `void` | `setSsid(String ssid)`

    - ### Methods inherited from class org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans.BasicOperation

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Wifi

          public Wifi()

  - ### Method Detail

    - #### getNetworkName

          public String getNetworkName()

    - #### setNetworkName

          public void setNetworkName(String networkName)

    - #### getSsid

          public String getSsid()

    - #### setSsid

          public void setSsid(String ssid)

    - #### getConnectionType

          public String getConnectionType()

    - #### setConnectionType

          public void setConnectionType(String connectionType)

    - #### getConnectionMode

          public String getConnectionMode()

    - #### setConnectionMode

          public void setConnectionMode(String connectionMode)

    - #### getAuthentication

          public String getAuthentication()

    - #### setAuthentication

          public void setAuthentication(String authentication)

    - #### getEncryption

          public String getEncryption()

    - #### setEncryption

          public void setEncryption(String encryption)

    - #### getKeyType

          public String getKeyType()

    - #### setKeyType

          public void setKeyType(String keyType)

    - #### getProtection

          public String getProtection()

    - #### setProtection

          public void setProtection(String protection)

    - #### getKeyMaterial

          public String getKeyMaterial()

    - #### setKeyMaterial

          public void setKeyMaterial(String keyMaterial)

Copyright © 2017 WSO2. All rights reserved.